#include<fstream>
using namespace std;
int gcd(int a,int b)
{
	return(b==0)?a:gcd(b,a%b);
}
int main()
{
	ifstream f1("NTCN.INP");
	ofstream f2("NTCN.OUT");
	int n;
	f1>>n;
	int a[n];
	int i;
	for(i=0;i<n;i++)
	{
		f1>>a[i];
	}
	int dem=0;
	for(i=0;i<n;i++)
	{
		for(int j=i+1;j<n;j++)
		{
			//if((a[i]==a[j])&&(a[i]==1)) continue;
				if(gcd(a[i],a[j])==1) dem++;
		}
	}
	f2<<dem;
	f1.close();
	f2.close();
	return 0;
}
